[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible: check if we are running the latest kernel in the node health check

Mattia Rizzolo mattia at debian.org
Fri Jan 5 17:51:04 UTC 2018


This is an automated email from the git hooks/post-receive script.

mattia pushed a commit to branch master
in repository jenkins.debian.net.

commit 17307c4ead6cf06b903a9b8a2e998323bfab9b1d
Author: Mattia Rizzolo <mattia at debian.org>
Date:   Fri Jan 5 18:50:33 2018 +0100

    reproducible: check if we are running the latest kernel in the node health check
    
    Signed-off-by: Mattia Rizzolo <mattia at debian.org>
---
 bin/reproducible_node_health_check.sh | 8 ++++++++
 logparse/reproducible.rules           | 3 +--
 2 files changed, 9 insertions(+), 2 deletions(-)

diff --git a/bin/reproducible_node_health_check.sh b/bin/reproducible_node_health_check.sh
index b8dc329..524c67f 100755
--- a/bin/reproducible_node_health_check.sh
+++ b/bin/reproducible_node_health_check.sh
@@ -127,6 +127,14 @@ if [ "$(lsb_release -si)" = "Ubuntu" ] ; then
 fi
 
 #
+# check if we are running the latest kernel
+#
+echo "$(date -u) - testing whether we are running the latest kernel..."
+if ! dsa-check-running-kernel ; then
+	DIRTY=true
+fi
+
+#
 # check for haveged running
 #
 echo "$(date -u) - testing 'haveged' is running..."
diff --git a/logparse/reproducible.rules b/logparse/reproducible.rules
index eef8d5c..fbf146f 100644
--- a/logparse/reproducible.rules
+++ b/logparse/reproducible.rules
@@ -26,5 +26,4 @@ warning /Warning: curl http:..www.debian.org failed, probably the proxy is down
 warning /Warning, more than one kernel in.+/
 warning /Warning, rise of the jenkins job zombies.+/
 warning /Warning, jenkins.log is larger than.+/
-
-
+warning /^WARNING: Kernel needs upgrade/

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list